---
layout: account
title: New guild
noindex: true
---
<!-- templates -->
<div id="tpl-alt-input-button" style="display: none">
    <input class="add-alt inline" type="button" value="&nbsp;+&nbsp;">
</div>

<div id="tpl-alt-input" style="display: none">
    <input type="text" name="alts[0][alts][]" class="alt-field inline" placeholder="Alt/twink name">
</div>

<div id="tpl-alt-line" style="display: none">
    <div class="alt-line">
        <input class="remove-alt inline" type="button" value="-">
        <input type="text" name="alts[0][main]" class="alt-field inline" placeholder="Main character">
        <!-- removed it, because it adds element with "undefined" value on alts load -->
        <!--<input type="text" name="alts[0][alts][]" class="alt-field inline" placeholder="Alt/twink name">-->
        <input class="add-alt inline" type="button" value="&nbsp;+&nbsp;">
    </div>
</div>


<div class="transparent-bg" style="padding-left: 0; text-align: center">
    <b id="guild-note-new" class="hidden">Guild is not processed yet. It may take up to 1 hour after guild creation</b>
    <div id="guild-note-novanity" class="hidden">
        Your guild url: <a class="guild-url"></a>. <br />
        Do you want to have cool guild page address like <a href="{{ site.url }}/nastrandir" target="_blank">{{ site.url }}/nastrandir</a>? <br />
        Subscribe on <a href="{{ site.patreon }}" target="_blank">patreon</a> and choose almost any url you want
        (yes, even {{ site.url }}/best-raiders-of-wow is possible).
    </div>
    <div id="guild-note-vanity" class="hidden">Your guild url: <a class="guild-url"></a></div>

    <form id="guild" class="account">
        <div class="flex-row">
            <div class="transparent-bg">
                <p><b>General information</b></p>
                <label for="name">Guild name <a href="/help/guild-form/#guild-name" target="_blank">(?)</a></label><br>
                <select name="region" class="inline" required>
                    <option value="eu">EU</option>
                    <option value="us">US</option>
                </select>
                <input name="name" class="inline" style="width: 77%" type="text" placeholder="Example: Nàstrandir" required>
                <br>
                <div class="flex-row">
                    <div>
                        <label for="game"><b>Game <a href="/help/guild-form/#game" target="_blank">(?)</a></b></label><br>
                        <select name="game" required>
                            <option value="retail">{{ site.retail }}</option>
                            <option value="classic">Classic</option>
                        </select>
                    </div>

                    <div>
                        <label for="realm">Realm</label>
                        <select name="realm" required style="width: 13rem">
                            {% for realm in site.data.realms %}
                            <option value="{{ realm.slug }}">{{ realm.name }}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>

                <b>OPTIONAL 3rdParty keys <a href="/help/guild-form/#optional-3rdparty-keys">(?)</a></b><br />
                <label for="integration[warcraftlogs][key]">WarcraftLogs APIv1 key (optional)
                    <a href="/help/guild-form/#warcraftlogs-apiv1-key" target="_blank">(?)</a>
                </label><br>
                <input name="integration[warcraftlogs][key]" type="text" placeholder="Check (?) for help">

                <label class="hidden" for="integration[warcraftlogs][client_id]">WarcraftLogs APIv2 Client ID <a href="/help/guild-form/#warcraftlogs-apiv2-credentials" target="_blank">(?)</a></label><br>
                <input class="hidden" name="integration[warcraftlogs][client_id]" type="text">

                <label class="hidden" for="integration[warcraftlogs][client_secret]">WarcraftLogs APIv2 Client Secret <a href="/help/guild-form/#warcraftlogs-apiv2-credentials" target="_blank">(?)</a></label><br>
                <input class="hidden" name="integration[warcraftlogs][client_secret]" type="text">

                <label class="hidden" for="integration[blizzard][client_id]">Blizzard API Client ID <a href="/help/guild-form/#blizzard-api-credentials" target="_blank">(?)</a></label><br>
                <input class="hidden" name="integration[blizzard][client_id]" type="text">

                <label class="hidden" for="integration[blizzard][client_secret]">Blizzard API Client Secret <a href="/help/guild-form/#blizzard-api-credentials" target="_blank">(?)</a></label><br>
                <input class="hidden" name="integration[blizzard][client_secret]" type="text">

            </div>
            <div class="transparent-bg">
                <p><b>Attendance config</b></p>
                <div class="flex-row" style="justify-content: space-between">
                    <div>
                        <label for="attendance[maxReports]">Output reports <a href="/help/guild-form/#output-reports" target="_blank">(?)</a></label>
                        <input name="attendance[maxReports]" type="number" placeholder="Example: 10" min="1" max="99" required style="width: 4.5rem">
                    </div>
                    <div>

                        <label for="attendance[ignore][threshold]">Threshold % <a href="/help/guild-form/#threshold-" target="_blank">(?)</a></label>
                        <input name="attendance[ignore][threshold]" type="number" placeholder="Example: 15" min="1" max="99" required style="width: 4.5rem">
                    </div>
                </div>

                <label for="attendance[raids]"><b>Allowed</b> raids <a href="/help/guild-form/#allowed-raids" target="_blank">(?)</a></label>
                <select name="attendance[raids]" class="full-width" multiple required size="6">
                    <option value="26">Castle Nathria</option>
                    <option value="24">Ny'alotha, the Waking City</option>
                    <option value="23">The Eternal Palace</option>
                    <option value="22">Crucible of Storms</option>
                    <option value="21">Battle of Dazar'alor</option>
                    <option value="19">Uldir</option>
                    <option value="1000">Molten Core</option>
                    <option value="1001">Onyxia</option>
                    <option value="1002">Blackwing Lair</option>
                    <option value="1003">Zul'Gurub</option>
                    <option value="1004">Ruins of Ahn'Qiraj</option>
                    <option value="1005">Temple of Ahn'Qiraj</option>
                    <option value="1006">Naxxramas</option>
                </select>

                <label for="attendance[bench]">Auto "on the bench" mark <a href="/help/guild-form/#auto-on-the-bench-mark" target="_blank">(?)</a></label>
                <textarea name="attendance[bench]" rows="5" placeholder="One MAIN character name per line"></textarea>
            </div>
            <div class="transparent-bg">
                <p><b>Filters</b></p>
                <label id="ignoredModesLabel" for="attendance[ignore][modes]"><b>Ignored</b> modes <a href="/help/guild-form/#ignored-modes" target="_blank">(?)</a></label>
                <select name="attendance[ignore][modes]" class="full-width" multiple size="6">
                    <option value="10">Mythic+ (keystone)</option>
                    <option value="5">Mythic</option>
                    <option value="4">Heroic</option>
                    <option value="3">Normal</option>
                    <option value="2">Flex</option>
                    <option value="1">LFR</option>
                </select>

                <label for="attendance[ignore][days]"><b>Ignored</b> weekdays <a href="/help/guild-form/#ignored-weekdays" target="_blank">(?)</a></label>
                <select name="attendance[ignore][days]" class="full-width" multiple required size="7">
                    <option value="1">Monday</option>
                    <option value="2">Tuesday</option>
                    <option value="3">Wednesday</option>
                    <option value="4">Thursday</option>
                    <option value="5">Friday</option>
                    <option value="6">Saturday</option>
                    <option value="0">Sunday</option>
                </select>

                <label for="attendance[ignore][date]"><b>Ignore</b> before <a href="/help/guild-form/#ignore-before" target="_blank">(?)</a></label>
                <input name="attendance[ignore][date]" placeholder="yyyy-mm-dd" pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}" type="date">

                <input type="checkbox" name="attendance[ignore][nonguild]" class="inline" style="margin-bottom: 0; appearance: auto">
                <label id="ignoredNonGuildLabel" for="attendance[ignore][nonguild]">Ignore non-guild/PUG characters</label>
            </div>
        </div>
        <div class="transparent-bg">
            <p><b>Alts/twinks matching</b>
            <a href="/help/guild-form/#altstwinks-matching" target="_blank">(?)</a>
            <input class="add-alt-line inline" type="button" value="&nbsp;add line&nbsp;"></p>
            <div id="guild-alts"></div>
        </div>
        <div id="form-error" class="transparent-bg text-bigger"></div>
        <div clas="transparent-bg">
            <span class="text-bigger">
                <b>Note</b>: Your changes will be saved immediately, but will be applied on next run (every hour).
                <a href="/help/guild-form/#next-run" target="_blank">(?)</a>
            </span>
            <button id="guild-create" type="submit" class="inline">Create</button>
            <button id="guild-update" type="submit" class="inline">Update</button>
        </div>
    </form>
</div>
<script defer src="/assets/vendor/bson.js"></script>
<script defer src="/assets/app.guildform.js"></script>
<script>window.addEventListener('load', (event) => guildform.init());
</script>
